Seed the DB when upgrading Katello
Status: Closed   

Priority: High   

Assignee: Jonathon Turel   

Category:    

Target version: 1.22.1   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link: 1732921 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/375

  

Description

Since we've moved to using the UpgradeTask model

1

 of Foreman via seeds

2

 we need to be absolutely certain that db:seed runs

during installation and upgrades so that all of the upgrade tasks are executed. We can't rely on the potential side-effect of other

actions during installation or upgrade to do the seed for us.

[1] https://github.com/theforeman/foreman/pull/5780/files

[2] https://github.com/Katello/katello/blob/master/db/seeds.d/111-upgrade_tasks.rb

Associated revisions

Revision 126419a9 - 07/29/2019 02:51 PM - Jonathon Turel

Fixes #27424 - Ensure DB is seeded

History

#1 - 07/24/2019 04:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/3937 added

#2 - 07/24/2019 05:32 PM - Jonathon Turel

- Bugzilla link set to 1732921

#3 - 07/29/2019 02:11 PM - Justin Sherrill

- Project changed from Packaging to Installer

#4 - 07/29/2019 02:12 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/375 added

#5 - 07/29/2019 02:45 PM - Jonathon Turel

- Subject changed from rubygem-katello should trigger db:seed to Seed the DB when upgrading Katello

- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/3937)

#6 - 07/29/2019 02:51 PM - The Foreman Bot

- Fixed in Releases 1.23.0 added

#7 - 07/29/2019 03:01 PM - Jonathon Turel

- Status changed from Ready For Testing to Closed

Applied in changeset installer|126419a94b84c2ad668f69e4407a603befe462c2.
